Edit

Workloads - List Workloads

Returns all workloads, optionally filtered by assignment status. If AssignmentStatus is not specified or set to AssignmentStatus.Any, the result will include assigned workloads and unassigned workloads.
This API supports pagination.

Note: Only published workloads are visible.

Permissions

The caller must be a Fabric administrator or authenticate using a service principal.

Required Delegated Scopes

Tenant.Read.All or Tenant.ReadWrite.All

Limitations

Maximum 200 requests per hour.

Microsoft Entra supported identities

This API supports the Microsoft identities listed in this section.

Identity Support
User Yes
Service principal and Managed identities Yes

Interface

GET https://api.fabric.microsoft.com/v1/admin/workloads
GET https://api.fabric.microsoft.com/v1/admin/workloads?assignmentStatus={assignmentStatus}&continuationToken={continuationToken}

URI Parameters

Name In Required Type Description
assignmentStatus
query

WorkloadAssignmentStatus

Assignment status of workloads. Additional assignment statuses may be added over time.

continuationToken
query

string

Continuation token. Used to get the next items in the list.

Responses

Name Type Description
200 OK

WorkloadAssignmentInfos

OK. The operation was successful.

429 Too Many Requests

ErrorResponse

The service rate limit was exceeded. The server returns a Retry-After header indicating, in seconds, how long the client must wait before sending additional requests.

Headers

Retry-After: integer

Other Status Codes

ErrorResponse

Common error codes:

  • BadRequest - Invalid query parameters.

  • PrivateLinksUnsupported - The API is not supported with Private Links enabled.

  • Unauthorized - The caller doesn't have permission to call the API.

  • TooManyRequests - The caller has exceeded the number of requests allowed in the current time frame and further requests will fail.

  • InternalServerError - Unexpected server error.

Examples

List all workloads example
List workloads with assigned status example

List all workloads example

Sample request

GET https://api.fabric.microsoft.com/v1/admin/workloads

Sample response

{
  "value": [
    {
      "id": "Fabric.TestWorkload",
      "name": "Test Workload",
      "publisher": "Contoso",
      "isAssignable": true,
      "isAssignedToTenant": true,
      "assignedCapacitiesCount": 2,
      "assignedWorkspacesCount": 0
    },
    {
      "id": "Fabric.TestWorkloadV2",
      "name": "Awesome Workload",
      "publisher": "Contoso",
      "isAssignable": true,
      "isAssignedToTenant": false,
      "assignedCapacitiesCount": 0,
      "assignedWorkspacesCount": 0
    },
    {
      "id": "Fabric.SampleWorkload",
      "name": "Sample Workload",
      "publisher": "SampleOrganization",
      "isAssignable": true,
      "isAssignedToTenant": false,
      "assignedCapacitiesCount": 0,
      "assignedWorkspacesCount": 0
    }
  ],
  "continuationUri": "https://api.fabric.microsoft.com/v1/admin/workloads?continuationToken=MSwxMDAwMCww",
  "continuationToken": "MSwxMDAwMCww"
}

List workloads with assigned status example

Sample request

GET https://api.fabric.microsoft.com/v1/admin/workloads?assignmentStatus=Assigned

Sample response

{
  "value": [
    {
      "id": "Fabric.SampleWorkloadV2",
      "name": "Sample Workload",
      "publisher": "Contoso",
      "isAssignable": true,
      "isAssignedToTenant": true,
      "assignedCapacitiesCount": 2,
      "assignedWorkspacesCount": 3
    },
    {
      "id": "Fabric.TestWorkload",
      "name": "Test Workload",
      "publisher": "Contoso",
      "isAssignable": true,
      "isAssignedToTenant": true,
      "assignedCapacitiesCount": 0,
      "assignedWorkspacesCount": 0
    },
    {
      "id": "Org.TestWorkloadV2",
      "name": "Corp Workload",
      "publisher": "Corp",
      "isAssignable": false,
      "isAssignedToTenant": true,
      "assignedCapacitiesCount": 0,
      "assignedWorkspacesCount": 0
    }
  ],
  "continuationUri": "https://api.fabric.microsoft.com/v1/admin/workloads?assignmentStatus=assigned&continuationToken=MSwxMDAwMCww",
  "continuationToken": "MSwxMDAwMCww"
}

Definitions

Name Description
ErrorRelatedResource

The error related resource details object.

ErrorResponse

The error response.

ErrorResponseDetails

The error response details.

WorkloadAssignmentInfo

Workload assignment information. Contains details about a workload and its assignment status across the tenant, capacities, and workspaces.

WorkloadAssignmentInfos

A paginated list of workloads in the tenant. Contains workload information with assignment status details.

WorkloadAssignmentStatus

Assignment status of workloads. Additional assignment statuses may be added over time.

ErrorRelatedResource

The error related resource details object.

Name Type Description
resourceId

string

The resource ID that's involved in the error.

resourceType

string

The type of the resource that's involved in the error.

ErrorResponse

The error response.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

isRetriable

boolean

When true, the request can be retried. Use the Retry-After response header to determine the delay, if available.

message

string

A human readable representation of the error.

moreDetails

ErrorResponseDetails[]

List of additional error details.

relatedResource

ErrorRelatedResource

The error related resource details.

requestId

string (uuid)

ID of the request associated with the error.

ErrorResponseDetails

The error response details.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

message

string

A human readable representation of the error.

relatedResource

ErrorRelatedResource

The error related resource details.

WorkloadAssignmentInfo

Workload assignment information. Contains details about a workload and its assignment status across the tenant, capacities, and workspaces.

Name Type Description
assignedCapacitiesCount

integer

The number of capacities to which the workload has been assigned.

assignedWorkspacesCount

integer

The number of workspaces to which the workload has been assigned.

id

string

The unique identifier of the workload.

isAssignable

boolean

Specifies if the workload is assignable. When true, the workload can be assigned to tenant, capacities or workspaces.

isAssignedToTenant

boolean

Specifies if the workload is assigned to the tenant scope. When true, the workload is available across the entire tenant.

name

string

The display name of the workload.

publisher

string

The publisher of the workload.

WorkloadAssignmentInfos

A paginated list of workloads in the tenant. Contains workload information with assignment status details.

Name Type Description
continuationToken

string

The token for the next result set batch. If there are no more records, it's removed from the response.

continuationUri

string

The URI of the next result set batch. If there are no more records, it's removed from the response.

value

WorkloadAssignmentInfo[]

The list of workloads with their assignment information.

WorkloadAssignmentStatus

Assignment status of workloads. Additional assignment statuses may be added over time.

Value Description
Any

Workloads that are assigned or unassigned.

Assigned

Workloads that are assigned to the tenant or to at least one workspace or capacity in the tenant.

Unassigned

Workloads that are not assigned to the tenant, any workspace, or any capacity in the tenant.